%global momorel 1

Summary:        CPU Frequency changing related utilities
Name:           cpufreq-utils
Version:        002
Release: %{momorel}m%{?dist}
Group:          System Environment/Base
License:        GPL
Source:         cpufrequtils-%{version}.tar.bz2
Patch0:         disable-gsic.patch
#Patch1:         libcpufreq-config.patch
#Patch2:         cpufrequtils-0.4-mkinstalldirs.patch
Buildroot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  libsysfs-devel gettext
# pulls in automake and autoconf
BuildRequires:  libtool
ExclusiveArch:  %{ix86} x86_64 ppc ppc64 ppc64iseries

%description
cpufreq-utils contains several utilities that can be used to control
the cpufreq interface provided by the kernel on hardware that
supports CPU frequency scaling.

%prep
%setup -q -n cpufrequtils-%{version}
%patch0 -p1
#%%patch1 -p1
#%%patch2 -p1 -b .gettext

%build

#mo
#libtoolize --copy --force
#aclocal-1.9 --force
#autoconf
#automake-1.9 -ac
#
#pushd libcpufreq
#libtoolize --copy --force
#aclocal-1.9 --force
#autoconf
#automake-1.9 -ac
#popd
#
#%%configure

make CFLAGS="%{optflags}"
%ifarch %{ix86}
cd debug/i386
make CFLAGS="%{optflags}"
%endif
%ifarch x86_64
cd debug/x86_64
make CFLAGS="%{optflags}"
%endif
cd ..



%install
rm -rf %{buildroot}

make DESTDIR=%{buildroot} install transform='s,x,x,' \
mandir=%{_mandir} bindir=%{_bindir} includedir=%{_includedir} libdir=%{_libdir}

rm -rf %{buildroot}%{_libdir}/libcpufreq.la

%find_lang cpufrequtils

%ifarch %{ix86}
cd debug/i386
install centrino-decode %{buildroot}%{_bindir}/centrino-decode
install dump_psb %{buildroot}%{_bindir}/dump_psb
install powernow-k8-decode %{buildroot}%{_bindir}/powernow-k8-decode
cd ../..
%endif
%ifarch x86_64
cd debug/x86_64
install powernow-k8-decode %{buildroot}%{_bindir}/powernow-k8-decode
cd ../..
%endif

chmod -R a-s %{buildroot}

%clean
rm -rf %{buildroot};

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f cpufrequtils.lang
%defattr(-,root,root,0755)
%{_includedir}/cpufreq.h
#%%{_libdir}/libcpufreq.la
%{_libdir}/libcpufreq.so*
%{_libdir}/libcpufreq.a
%{_bindir}/cpufreq-info
%{_bindir}/cpufreq-set
%ifarch %{ix86}
%{_bindir}/centrino-decode
%{_bindir}/dump_psb
%endif
%ifarch %{ix86} x86_64
%{_bindir}/powernow-k8-decode
%endif
%{_mandir}/*/*

%changelog
* Mon Nov  6 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (002-1m)
- merge fc cpufreq-utils-002-1.1.41.fc6
- Upstream 002 release.
- rebuilid against lybsysfs-devel
- buildrequire libsysfs-devel

* Wed Oct 18 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4-4m)
- change autoreconf to each autotools

* Mon Oct  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4-3m)
- add patch2 (for mkinstalldirs)

* Sun May 21 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4-2m)
- add patch1 for build (configure.in is too old)
- add transform='s,x,x,' to make install

* Sat May 20 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.4-1m)
- import from fc

* Mon Dec 19 2005 Dave Jones <davej@redhat.com>
- New upstream 0.4 release.

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Sun Jul 31 2005 Florian La Roche <laroche@redhat.com>
- package all files

* Mon May  9 2005 Dave Jones <davej@redhat.com>
- Update to upstream 0.3

* Fri Apr 22 2005 Matthias Saou <http://freshrpms.net/> 0.2-2
- Major spec file cleanup. (#155731)
- Use %%find_lang macro.
- Add missing sysfsutils-devel build requirement.

* Fri Apr 15 2005 Florian La Roche <laroche@redhat.com>
- remove empty preun script

* Tue Mar  1 2005 Dave Jones <davej@redhat.com>
- Rebuild for gcc4.

* Sun Feb 27 2005 Dave Jones <davej@redhat.com>
- Update to upstream 0.2

* Tue Feb  8 2005 Dave Jones <davej@redhat.com>
- Rebuild with -D_FORTIFY_SOURCE=2

* Sat Dec  4 2004 Dave Jones <davej@redhat.com>
- Initial packaging

